Package org.pushingpixels.flamingo.api.common

# Enum Class JCommandButton.CommandButtonPopupOrientationKind

java.lang.Object
java.lang.Enum<JCommandButton.CommandButtonPopupOrientationKind>
org.pushingpixels.flamingo.api.common.JCommandButton.CommandButtonPopupOrientationKind

All Implemented Interfaces:
  `Serializable`, `Comparable<JCommandButton.CommandButtonPopupOrientationKind>`, `Constable`

Enclosing class:
  `JCommandButton`

public static enum JCommandButton.CommandButtonPopupOrientationKind extends Enum<JCommandButton.CommandButtonPopupOrientationKind>
Orientation kind for the popup.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOWNWARD`
Indicates that the popup should be displayed below the button.
`SIDEWARD`
Indicates that the popup should be displayed to the side of the button.

## Method Summary

Modifier and Type
Method
Description
`static JCommandButton.CommandButtonPopupOrientationKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JCommandButton.CommandButtonPopupOrientationKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOWNWARD

public static final JCommandButton.CommandButtonPopupOrientationKind DOWNWARD
Indicates that the popup should be displayed below the button.

### SIDEWARD

public static final JCommandButton.CommandButtonPopupOrientationKind SIDEWARD
Indicates that the popup should be displayed to the side of the button.

## Method Details

### values

public static JCommandButton.CommandButtonPopupOrientationKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JCommandButton.CommandButtonPopupOrientationKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null